#include "StdAfx.h"
#include "Windef.h"
#include "Wingdi.h"
#include <cstdio>      // sprintf
#include "Definitions.h"

void mdebug(char* s)
{
  char buf[100];
  strcpy_s(buf, s);
  strcat_s(buf, "\n");
  OutputDebugStringA(buf);
}

void mdebug(char* s, int n)
{
  char buf[100];
  sprintf_s(buf, s, n);
  strcat_s(buf, "\n");
  OutputDebugStringA(buf);
}

void mdebug(char* s, double x)
{
  char buf[100];
  sprintf_s(buf, s, x);
  strcat_s(buf, "\n");
  OutputDebugStringA(buf);
}

void mdebug(char* s, POINT pt)
{
  char buf[100];
  sprintf_s(buf, "%s = (%d, %d)\n", s, pt.x, pt.y);
  OutputDebugStringA(buf);
}

int GetAngleCau(double angleDeg)
{
  double dAngleCau = angleDeg * CAU_BASE / 360;
  int angleCau = (int)(dAngleCau + 0.5);
  return angleCau;
}
